MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000450VCMIMechanics - Battlespublic2010-03-24 09:362014-05-30 17:41
ReporterBoulie 
Assigned ToTow 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.8 
Target VersionFixed in Version0.89 
Summary0000450: Every maptile on specific map has dedicated type of battlefield.
DescriptionAlso the number of stacks and upgraded stacks are determined by maptile and hero army strength. Unfortunately I don't know the algorithms for this features.
So probably it will not be easy to be implemented.

See my sreenshot i.e. on added map Insanity if you attack with orange player's hero the Pandora's box near the castle you have always the same battlefield. In VCMI you have always random battlefield.
TagsNo tags attached.
Attached Filesjpg file icon Clipboard01.jpg [^] (350,658 bytes) 2010-03-24 09:36


? file icon Insanity LH.h3m [^] (23,716 bytes) 2010-03-24 09:36

- Relationships

-  Notes
(0001625)
Tow dragon (viewer)
2011-03-06 13:39

Forum thread regarding obstacles:
http://forum.vcmi.eu/viewtopic.php?t=325 [^]
(0002429)
Ivan (developer)
2012-05-14 19:27

Already fixed by Tow.

- Issue History
Date Modified Username Field Change
2010-03-24 09:36 Boulie New Issue
2010-03-24 09:36 Boulie File Added: Clipboard01.jpg
2010-03-24 09:36 Boulie File Added: Insanity LH.h3m
2011-03-06 13:39 Tow dragon Note Added: 0001625
2012-05-14 19:27 Ivan Note Added: 0002429
2012-05-14 19:27 Ivan Status assigned => resolved
2012-05-14 19:27 Ivan Fixed in Version => 0.89
2012-05-14 19:27 Ivan Resolution open => fixed
2012-05-14 19:27 Ivan Assigned To Tow dragon => Tow
2014-05-30 17:41 beegee Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean